Page MenuHomePhabricator

1.35.0-wmf.41 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.35.0-wmf.41
Release Date
Jul 13 2020, 12:00 AM
Backup Conductor
jeena

2020 week 29 1.35-wmf.41 Changes wmf/1.35.0-wmf.41

This MediaWiki Train Deployment is scheduled for the week of Monday, July 13th:

Monday July 13thTuesday, July 14thWednesday, July 15thThursday, July 16thFriday
Backports only.Branch wmf.41 and deploy to Group 0 Wikis.Deploy wmf.41 to Group 1 Wikis.Deploy wmf.41 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.41 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.35.0-wmf.40
Next: 1.36.0-wmf.1

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 29 2020, 5:59 PM
Majavah added a subscriber: Majavah.Jul 8 2020, 8:07 AM

Change 612451 had a related patch set uploaded (by Jforrester; owner: trainbranchbot):
[mediawiki/core@wmf/1.35.0-wmf.41] Branch commit for wmf/1.35.0-wmf.41

https://gerrit.wikimedia.org/r/612451

Change 612451 merged by jenkins-bot:
[mediawiki/core@wmf/1.35.0-wmf.41] Branch commit for wmf/1.35.0-wmf.41

https://gerrit.wikimedia.org/r/612451

Mentioned in SAL (#wikimedia-operations) [2020-07-14T07:50:26Z] <jforrester@deploy1001> Started scap: Re-start full scap to push out wmf.41 and switch testwikis to it T256669

Mentioned in SAL (#wikimedia-operations) [2020-07-14T07:52:40Z] <jforrester@deploy1001> sync aborted: Re-start full scap to push out wmf.41 and switch testwikis to it T256669 (duration: 02m 14s)

Mentioned in SAL (#wikimedia-operations) [2020-07-14T08:13:37Z] <jforrester@deploy1001> Started scap: Re-re-start full scap to push out wmf.41 and switch testwikis to it T256669

Mentioned in SAL (#wikimedia-operations) [2020-07-14T09:05:18Z] <jforrester@deploy1001> Finished scap: Re-re-start full scap to push out wmf.41 and switch testwikis to it T256669 (duration: 51m 41s)

OK, testwikis look fine for now.

Deployed to group0. One blocker identified (to do with Vector printable mode), but not enough to roll back.

Group1 looks reasonable; one logspam issue, T258056: PHP Warning: array_map(): Argument #2 should be an array, but might be switch-over only.

Heads-up: Not sure if T258097 is relevant to wmf.41 deployment, but pinging here anyway.

Jdforrester-WMF closed this task as Resolved.Jul 16 2020, 6:51 PM

Declaring us done.